﻿@{ ViewData["Title"] = "Categoria sitio";
    ViewData["Titulo_sitio"] = "Ingresar Categoria sitio";
    ViewData["sitio"] = "Categoria sitio";


    Layout = "_create"; }







@model Generic_appWeb.Models.Categoria_sitio


<form asp-action="Create">


    <div CSitass="card card-default ">

        <div CSitass="card-header">
            <h3 CSitass="card-title">Hacienda</h3>
        </div>

        <div CSitass="card-body ">


            <div CSitass="form-group ">
                <label asp-for="Hacienda.Hac_id" CSitass="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.haciendaList,"Hac_id", "Hac_descripcion_corta"))" CSitass="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Hacienda.Hac_id" CSitass="text-danger" />

            </div>



        </div>
    </div>



    <div CSitass="card card-default ">

        <div CSitass="card-header">
            <h3 CSitass="card-title">Grupo sitio</h3>
        </div>

        <div CSitass="card-body ">


            <div CSitass="form-group ">
                <label asp-for="Grupo_sitio.GSit_id" CSitass="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Grupo_sitio.GSit_id" asp-items="@(new SelectList(ViewBag.grupo_sitioList,"GSit_id", "GSit_descripcion_med"))" CSitass="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Grupo_sitio.GSit_id" CSitass="text-danger" />

            </div>



        </div>
    </div>





    <div CSitass="card card-default ">

        <div CSitass="card-header">
            <h3 CSitass="card-title">Codigo</h3>
        </div>

        <div CSitass="card-body">


            <div CSitass="form-group ">
                <label asp-for="CSit_codigo_empresa" CSitass="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="CSit_codigo_empresa" CSitass="form-control col-md-6" />
                <span asp-validation-for="CSit_codigo_empresa" CSitass="text-danger" />

            </div>

            <div CSitass="form-group ">
                <label asp-for="CSit_codigo_alterno" CSitass="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="CSit_codigo_alterno" CSitass="form-control col-md-6" type="text" />
                <span asp-validation-for="CSit_codigo_alterno" CSitass="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div CSitass="card card-default ">

        <div CSitass="card-header">
            <h3 CSitass="card-title">Descripciones</h3>
        </div>

        <div CSitass="card-body">


            <div CSitass="form-group">
                <label asp-for="CSit_descripcion_larga" CSitass="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="CSit_descripcion_larga" CSitass="form-control col-md-6" />
                <span asp-validation-for="CSit_descripcion_larga" CSitass="text-danger" />

            </div>

            <div CSitass="form-group">
                <label asp-for="CSit_descripcion_med" CSitass="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="CSit_descripcion_med" CSitass="form-control col-md-6" />
                <span asp-validation-for="CSit_descripcion_med" CSitass="text-danger" />

            </div>

            <div CSitass="form-group">
                <label asp-for="CSit_descripcion_corta" CSitass="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="CSit_descripcion_corta" CSitass="form-control col-md-6" />
                <span asp-validation-for="CSit_descripcion_corta" CSitass="text-danger" />
            </div>

            <div CSitass="form-group">
                <label asp-for="CSit_abreviacion" CSitass="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="CSit_abreviacion" CSitass="form-control col-md-6" />
                <span asp-validation-for="CSit_abreviacion" CSitass="text-danger" />

            </div>

            <div CSitass="form-group">
                <label asp-for="CSit_observacion" CSitass="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="CSit_observacion" CSitass="form-control col-md-6" />
                <span asp-validation-for="CSit_observacion" CSitass="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div CSitass="card card-default">

        <div CSitass="card-header">
            <h3 CSitass="card-title">Fechas</h3>
        </div>

        <div CSitass="card-body">


            <div CSitass="form-group">

                <label asp-for="CSit_fecha_creacion" CSitass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="CSit_fecha_creacion" id="CSit_fecha_creacion" CSitass="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CSit_fecha_creacion" CSitass="text-danger" />

            </div>

            <div CSitass="form-group">

                <label asp-for="CSit_fecha_modificacion" CSitass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="CSit_fecha_modificacion" id="CSit_fecha_modificacion" CSitass="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CSit_fecha_modificacion" CSitass="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div CSitass="card card-default">

        <div CSitass="card-header">
            <h3 CSitass="card-title">Usuario</h3>
        </div>

        <div CSitass="card-body">

            <div CSitass="form-group">

                <label asp-for="CSit_usuario_creacion" CSitass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="CSit_usuario_creacion" CSitass="form-control col-xl-6" readonly />
                <span asp-validation-for="CSit_usuario_creacion" CSitass="text-danger" />

            </div>

            <div CSitass="form-group">

                <label asp-for="CSit_usuario_modificacion" CSitass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="CSit_usuario_modificacion" CSitass="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="CSit_usuario_modificacion" CSitass="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div CSitass="card card-default">

        <div CSitass="card-header">
            <h3 CSitass="card-title">Secuencia</h3>
        </div>

        <div CSitass="card-body">


            <div CSitass="form-group">
                <label asp-for="CSit_secuencia" CSitass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" CSitass="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="CSit_secuencia" CSitass="form-control col-md-6" />
                <span asp-validation-for="CSit_secuencia" CSitass="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" CSitass="col-md-12">

        <div CSitass="form-group">

            <div CSitass="float-right">

                <button type="button" CSitass="btn btn-outline-secondary " onCSitick="location.href='@Url.Action("Index", "Categoria_sitio")'">Volver</button>
                <button type="submit" CSitass="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>
